Bug 27446

Summary: Markup errors in suggestion/suggestion.tt
Product: Koha Reporter: Lucas Gass <lucas>
Component: AcquisitionsAssignee: Owen Leonard <oleonard>
Status: Pushed to stable --- QA Contact: Testopia <testopia>
Severity: trivial    
Priority: P5 - low CC: andrew, caroline.cyr-la-rose, david, fridolin.somers, jonathan.druart
Version: masterKeywords: Academy
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Text to go in the release notes:
This patch fixes several markup errors in the suggestions template in the staff interface, including: - Indentation - Unclosed tags - Non-unique IDs - Adding comments to highlight markup structure
Version(s) released in:
21.05.00,20.11.03
Attachments: Bug 27446: Markup errors in suggestion/suggestion.tt
Bug 27446: Markup errors in suggestion/suggestion.tt
Bug 27446: Markup errors in suggestion/suggestion.tt
Bug 27446: (QA follow-up) Add missing filters

Description Lucas Gass 2021-01-15 22:56:43 UTC
While working on a separate issue I notices there are several markup errors in suggestion/suggestion.tt.

1. <h2> tag closes with an </h3> 
2. Some button elements are using the self-closing syntax when they should not
3. <div id="limits> does not close
4. There are some stray </div>'s
5. Indentation/white could be better
Comment 1 Owen Leonard 2021-01-25 14:00:58 UTC
Created attachment 115774 [details] [review]
Bug 27446: Markup errors in suggestion/suggestion.tt

This patch makes various corrections to the suggestions template in the
staff interface:

 - Correct indentation
 - Fix unclosed tags
 - Fix non-unique IDs
 - Add comments to highlight markup structure

To test, apply the patch and test the suggestions interface in the staff
client:

 - Viewing the list of suggestions
 - Viewing the details of a single suggestion
 - Filtering suggestions
 - Organizing suggestions

Test that labels on form controls work correctly, including under each
tab.
Comment 2 David Nind 2021-01-25 22:40:26 UTC
Created attachment 115792 [details] [review]
Bug 27446: Markup errors in suggestion/suggestion.tt

This patch makes various corrections to the suggestions template in the
staff interface:

 - Correct indentation
 - Fix unclosed tags
 - Fix non-unique IDs
 - Add comments to highlight markup structure

To test, apply the patch and test the suggestions interface in the staff
client:

 - Viewing the list of suggestions
 - Viewing the details of a single suggestion
 - Filtering suggestions
 - Organizing suggestions

Test that labels on form controls work correctly, including under each
tab.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-01-25 22:44:32 UTC
I tested on Firefox and Google Chrome (latest versions) on Ubuntu 18.04.

Everything seemed to work fine, with the caveat that I'm not that familiar with suggestions.

I did check the page with WebAIM's WAVE toolbar, however I think the potential issues it identifies are a separate project (for the whole of Koha).
Comment 4 Katrin Fischer 2021-01-26 21:20:12 UTC
Created attachment 115840 [details] [review]
Bug 27446: Markup errors in suggestion/suggestion.tt

This patch makes various corrections to the suggestions template in the
staff interface:

 - Correct indentation
 - Fix unclosed tags
 - Fix non-unique IDs
 - Add comments to highlight markup structure

To test, apply the patch and test the suggestions interface in the staff
client:

 - Viewing the list of suggestions
 - Viewing the details of a single suggestion
 - Filtering suggestions
 - Organizing suggestions

Test that labels on form controls work correctly, including under each
tab.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-01-26 21:20:15 UTC
Created attachment 115841 [details] [review]
Bug 27446: (QA follow-up) Add missing filters
Comment 6 Jonathan Druart 2021-01-27 13:37:42 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-29 14:52:39 UTC
Pushed to 20.11.x for 20.11.03
Comment 8 Andrew Fuerste-Henry 2021-02-04 21:45:19 UTC
Doesn't apply cleanly to 20.05. Please rebase if needed.